--- old/usr/src/cmd/nscd/nscd_getentctx.c	Mon Oct 15 13:24:35 2018
+++ new/usr/src/cmd/nscd/nscd_getentctx.c	Mon Oct 15 13:24:35 2018
@@ -21,6 +21,8 @@
 /*
  * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
+ *
+ * Copyright 2018 Joyent, Inc.
  */
 
 #include <sys/ccompile.h>
@@ -658,6 +660,8 @@
 	nss_getent_t		nssctx = { 0 };
 	char			*me = "reclaim_getent_ctx";
 
+	(void) thr_setname(thr_self(), me);
+
 	/*CONSTCOND*/
 	while (1) {
 
@@ -744,7 +748,8 @@
 }
 
 static nscd_rc_t
-_nscd_init_getent_ctx_monitor() {
+_nscd_init_getent_ctx_monitor()
+{
 
 	int	errnum;
 	char	*me = "_nscd_init_getent_ctx_monitor";
@@ -763,7 +768,7 @@
 	 * start a thread to reclaim unused getent contexts
 	 */
 	if (thr_create(NULL, NULL, reclaim_getent_ctx,
-		NULL, THR_DETACHED, NULL) != 0) {
+	    NULL, THR_DETACHED, NULL) != 0) {
 		errnum = errno;
 		_NSCD_LOG(NSCD_LOG_GETENT_CTX, NSCD_LOG_LEVEL_ERROR)
 		(me, "thr_create: %s\n", strerror(errnum));
